Skip to main content
GET
/
v1
/
entities
/
{entity_id}
/
introspection
Entity Introspection
curl --request GET \
  --url https://api.cala.ai/v1/entities/{entity_id}/introspection \
  --header 'X-API-KEY: <api-key>'
{
  "numerical_observations": {
    "FinancialMetric": [
      {
        "cadence": "i",
        "description": "Amount of currency on hand as well as demand deposits with banks or financial institutions. Includes other kinds of accounts that have the general characteristics of demand deposits. Also includes short-term, highly liquid investments that are both readily convertible to known amounts of cash and so near their maturity that they present insignificant risk of changes in value because of changes in interest rates. Excludes cash and cash equivalents within disposal group and discontinued operation.",
        "id": "1d3eae40-0ba8-5baf-9907-6a4823b067bb",
        "name": "Cash and Cash Equivalents, at Carrying Value",
        "taxonomy": "us-gaap",
        "unit": "USD"
      }
    ]
  },
  "properties": [
    "cik",
    "headquarters_address",
    "lei",
    "registered_address",
    "founding_date",
    "esg_policy",
    "legal_name",
    "employee_count",
    "bics",
    "name",
    "aliases",
    "id"
  ],
  "relationships": {
    "incoming": [
      "IS_CFO_OF",
      "IS_SUBSIDIARY_OF",
      "IS_BOARD_MEMBER_OF",
      "IS_BENEFICIARY_OWNER_OF",
      "IS_CEO_OF"
    ],
    "outgoing": [
      "IS_ULTIMATE_PARENT_OF",
      "IS_REGISTERED_IN",
      "OPERATES_IN_INDUSTRY",
      "IS_DIRECT_PARENT_OF",
      "IS_BENEFICIARY_OWNER_OF",
      "HAS_HEADQUARTERS_IN",
      "PARTICIPATES_IN_CORPORATE_EVENT"
    ]
  }
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

entity_id
string<uuid>
required

Response

Successful Response

Response containing the introspection of an entity.

properties
string[]
required

List of property names available for this entity (e.g. id, name, currency).

Example:
[
"cik",
"headquarters_address",
"lei",
"registered_address",
"founding_date",
"esg_policy",
"legal_name",
"employee_count",
"bics",
"name",
"aliases",
"id"
]
relationships
IntrospectionEntityRelationships · object
required

Outgoing and incoming relationship types.

numerical_observations
Numerical Observations · object
required

List of numerical observation names available for this entity.

Example:
{
"FinancialMetric": [
{
"cadence": "i",
"description": "Amount of currency on hand as well as demand deposits with banks or financial institutions. Includes other kinds of accounts that have the general characteristics of demand deposits. Also includes short-term, highly liquid investments that are both readily convertible to known amounts of cash and so near their maturity that they present insignificant risk of changes in value because of changes in interest rates. Excludes cash and cash equivalents within disposal group and discontinued operation.",
"id": "1d3eae40-0ba8-5baf-9907-6a4823b067bb",
"name": "Cash and Cash Equivalents, at Carrying Value",
"taxonomy": "us-gaap",
"unit": "USD"
}
]
}